# Interface TableDataSourceJson

Table data source is a table, feature class, or raster that resides in a registered workspace (either a folder or geodatabase). In the case of a geodatabase, if versioned, use version to switch to an alternate geodatabase version. If version is empty or missing, the registered geodatabase version will be used. See https://developers.arcgis.com/web-map-specification/objects/tableDataSource/ https://developers.arcgis.com/web-scene-specification/objects/tableDataSource/.

interface TableDataSourceJson {
dataSourceName?: string;
gdbVersion?: string;
type: "table";
workspaceId?: string;
}

#### Hierarchy (view full)

- DataSourceJsonBase
  - TableDataSourceJson

#####
Index

### Properties

dataSourceName?
gdbVersion?
type
workspaceId?

##
Properties

### `Optional` dataSourceName

dataSourceName?: string

The fully-qualified string value used to specify where the dataSource is derived.

### `Optional` gdbVersion

gdbVersion?: string

If applicable, the value indicating the version of the geodatabase.

### type

type

Type of the DataSource.

Overrides DataSourceJsonBase.type

### `Optional` workspaceId

workspaceId?: string

The unique string value used to identify the data-source's workspace.

Inherited from DataSourceJsonBase.workspaceId